#include "RunHttpGet_getSysUserCharacteristicPage.h"

RunHttpGet_getSysUserCharacteristicPage::RunHttpGet_getSysUserCharacteristicPage(InteractiveTask *task, QMutex *mutex)
    : RunAbstract(task, mutex)
{

}


void RunHttpGet_getSysUserCharacteristicPage::run()
{
    QByteArray outData = InteractiveHttp::http_get_getSysUserCharacteristicPage();

    setRespond(outData);

    InteractiveData *pSingletonData = SINGLETON_CREATE(InteractiveData)();
    // 进行数据写操作
    QWriteLocker locker(&pSingletonData->m_dataCacheLock);
    if (!outData.isEmpty())
    {


    }

}
